SYMPOW(1)

NAME
sympow - SYMPOW program

SYNOPSIS
sympow [options]

DESCRIPTION
Mathematical package to compute special values of SYMmetric POWer elliptic curve L-functions (up to about 64 digits of precision).

OPTIONS

-bound #
    an upper BOUND for how many ap to compute

-info [] []
    only report local information for primes/sympows 1st argument is prime range, 2nd is sympow range

-local
    only report local information (bad primes)

-curve []
    input a curve in [a1,a2,a3,a4,a6] form

-label []
    get a label to the given curve

-quiet
    turn off some messages

-terse
    turn on some messages: default

-verbose
    turn on extra messages

-rootno #
    compute the root number of the #th symmetric power

-moddeg
    compute the modular degree

-analrank
    compute the analytic rank

-sloppy []
    for use with -analrank; have X sloppy digits

-nocm
    abort if curve has complex multiplication

-noqt
    ignore even powers of non-minimal quad twists

-noqdcheck
    don't check if quad-double stuff works

-mdspeed []
    speed for moddeg; 2.0 is default, 0.0 is proof

-hecke
    compute Hecke symmetric powers for a CM curve

-maxtable
    set the max size of factor tables: 2^27 default

-sp []
    argument to specify which powers this is a comma separated list in each entry, the 1st datum is the sympow then could come b which turns Bloch-Kato on then could come w# which specifies how many tests then could come s# which says # sloppy digits then must come p# which specifices the precision or P# which says ignore BOUND for this power then must come d# which says the derivative bound or D# which says do only this derivative (neither need be indicated for even powers) default is 2w3s1p32,3bp16d1,4p8

-new_data []
    will compute inverse Mellin transform mesh for the given data: the format is [sp]d[dv]{h,c} sp is the symmetric power, dv is the derivative, h indicates Hecke powers, and c indicates CM case d[dv] is given only for odd or Hecke powers Examples: 1d3 2 2d1h 3d2 4 4c 5d0 6 7d0h 11d1 12c NOTE: new_data runs a shell script that uses GP

-dump-endiantuple
    display the endian-tuple, used as a component in the binary data paths, and exit

-dump-versiontuple display the version-tuple (Major.minor.micro) and exit

-version
    print program version and exit

-help
    display this help and exit

Other options are used internally/recursively by -new_data

AUTHOR
Mark Watkins

COPYRIGHT
Copyright © 2005-2018 by Mark Watkins

SEE ALSO
gp(1)